Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Portage infructueux !
#1
Bonjour à tous,

J'aurai svp besoin de votre expertise CMSMS.

Je tente de porter un site en 1.10.3 vers un nouveau système :

FreeBSD 10, php 5.6.2, mysql serveur 5.5.40 et voici mon problème :

Je ne peux plus modifier quelque page que ce soit, aucune des modifications souhaitées dans le panel d'administration
ne sont prises en compte .... J'avoue que je galère bien car je ne trouve pas l'origine du problème.

Je pense à un soucis de droit d'accès ou de mise à jour de données dans une table mysql mais
j'ai passé un chmod -R 777 * sur l'arborescence du site sans succès ....

Auriez vous vu ce problème auparavant ?

D'avance merci.



Citation :#~~~~~ DEBUT BLOC A NE PAS SUPPRIMER ~~~~~
#~ Version du CMS: !1.11.x
#~ Url du site :
#~ Hébergeur / Soft :
#~ Informations Système :
#~ Cms Version: 1.10.3
#~ Installed Modules:
#~ CMSMailer: 5.2.2
#~ CMSPrinting: 1.0.5
#~ FileManager: 1.4.5
#~ MenuManager: 1.8.6
#~ MicroTiny: 1.2.7
#~ ModuleManager: 1.5.8
#~ News: 2.14.4
#~ Search: 1.7.11
#~ ThemeManager: 1.1.8
#~ AdvancedContent: 0.9.3
#~ Gallery: 1.5.3
#~ FormBuilder: 0.7.2
#~ Showtime: 3.1
#~ TinyMCE: 2.9.6
#~ Statistics: 1.1.3
#~ CGExtensions: 1.28.2
#~ FrontEndUsers: 1.17.3
#~ Captcha: 0.4.6
#~ Config Information:
#~ php_memory_limit:
#~ process_whole_template: false
#~ output_compression: false
#~ max_upload_size: 2000000
#~ default_upload_permission: 664
#~ url_rewriting: none
#~ page_extension:
#~ query_var: page
#~ image_manipulation_prog: GD
#~ auto_alias_content: true
#~ locale:
#~ default_encoding: utf-8
#~ admin_encoding: utf-8
#~ set_names: true
#~ Php Information:
#~ phpversion: 5.6.2
#~ md5_function: On (Vrai)
#~ gd_version: 2
#~ tempnam_function: On (Vrai)
#~ magic_quotes_runtime: Off (Faux)
#~ E_STRICT: 0
#~ E_DEPRECATED: 0
#~ memory_limit: 128M
#~ max_execution_time: 30
#~ output_buffering: 4096
#~ safe_mode: Off (Faux)
#~ file_uploads: On (Vrai)
#~ post_max_size: 8M
#~ upload_max_filesize: 2M
#~ session_save_path: /tmp (1777)
#~ session_use_cookies: On (Vrai)
#~ xml_function: On (Vrai)
#~ Server Information:
#~ Server Api: apache2filter
#~ Server Db Type: MySQL (mysql)
#~ Server Db Version: 5.5.40
#~~~~~ FIN BLOC A NE PAS SUPPRIMER ~~~~~



Ecrivez votre question ici.
#2
Citation :Je tente de porter un site en 1.10.3

il serait préférable d'installer la dernière version 1.11.1

Citation :Je pense à un soucis de droit d'accès ou de mise à jour de données dans une table mysql mais
j'ai passé un chmod -R 777 * sur l'arborescence du site sans succès ....
les pages sont gérés en base données. donc rien à voir avec un CHMOD
Il faut déjà tester sur une installation neuve sans modules supplémentaires et ensuite installer les autres modules un par un.
J-C Etiemble Tutoriels v 2.2.x
#3
ton user sql est il autorisé à modifier la base de donnée ?
#4
bonjour,
il n'y aurait pas incompatibilité entre la version élevée de PHP et la 1.10?
{SEO}
Inscrivez-vous à notre Newsletter sur le site (colonne de droite, en bas).
Vous appréciez CMSMS et l'aide qui vous est fournie ici, aidez-nous en participant au projet.
Formation CMS Made Simple | Création de site CMS Made Simple.

C'est en se plantant qu'on devient cultivé.
J'ai un string dans l'Array (Paris Hilton)
#5
Citation :il n'y aurait pas incompatibilité entre la version élevée de PHP et la 1.10?
je ne pense pas, de toute façon il faut passer en 1.11.11 Impérativement
J-C Etiemble Tutoriels v 2.2.x
#6
Bonjour et merci pour vos réponses et suggestions,

J'utilise le module AdvancedContent qui n'est visiblement pas supporté par la dernière version 1.11.11.

Autre chose, mon problème de mise à jour des données ne semble pas être spécifique à CMSMS puisque
j'ai les mêmes soucis avec un site Prestashop.

Mon site Prestashop reste en mode maintenance malgré mes tentatives de mise en prod ....

Il s'agit donc bien d'un pb mysql ou php/mysql. Les tables ne peuvent être mises à jour.
Je ne trouve pas la solution pour autant.

J'ai installé une version 1.11.11 en parallèle et la, aucun soucis, je mets à jour le site de test sans pb.

Je pense à descendre les versions php / mysql mais sans garantie.

Qu'en pensez vous ?
#7
J'ajoute : Y a-til un moyen efficace de debugger/tracer les requêtes qui ne fonctionnent pas ?
#8
Citation :J'utilise le module AdvancedContent qui n'est visiblement pas supporté par la dernière version 1.11.11.
sisi, je suis même en train de l'utiliser.
Citation :J'ajoute : Y a-til un moyen efficace de debugger/tracer les requêtes qui ne fonctionnent pas ?
Activer le mode debug dans le fichier de config :
voir aide dans le pdf du dossier doc
{SEO}
Inscrivez-vous à notre Newsletter sur le site (colonne de droite, en bas).
Vous appréciez CMSMS et l'aide qui vous est fournie ici, aidez-nous en participant au projet.
Formation CMS Made Simple | Création de site CMS Made Simple.

C'est en se plantant qu'on devient cultivé.
J'ai un string dans l'Array (Paris Hilton)


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)